Skip to main content
POST
/
v1
/
organizations
/
{organization_id}
/
workspaces
/
{workspace_id}
/
analyses
Create analysis
curl --request POST \
  --url https://api.shareofmodel.ai/v1/organizations/{organization_id}/workspaces/{workspace_id}/analyses \
  --header 'Authorization: <api-key>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "brand": "<string>",
  "category": "<string>",
  "competitors": [
    "<string>"
  ],
  "countries": [
    "AE"
  ],
  "llm_providers": [
    "OpenAI"
  ],
  "name": "<string>",
  "personas": [
    "General Population"
  ],
  "attributes": [
    "<string>"
  ],
  "collect_end_date": "2023-12-25",
  "language": "en",
  "is_boost": false
}
'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z",
  "created_by": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "workspace_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "name": "<string>",
  "brand": "<string>",
  "category": "<string>",
  "countries": [
    "<string>"
  ],
  "competitors": [
    "<string>"
  ],
  "personas": [
    "<string>"
  ],
  "attributes": [
    "<string>"
  ],
  "is_archived": true,
  "archived_at": "2023-11-07T05:31:56Z",
  "active_clustering": true,
  "collect_end_date": "2023-12-25",
  "llm_providers": [
    "<string>"
  ],
  "llm_provider_versions": "<unknown>",
  "language": "ar",
  "is_boost": true
}

Documentation Index

Fetch the complete documentation index at: https://docs.shareofmodel.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Path Parameters

organization_id
string<uuid>
required

A UUID string identifying the organization.

workspace_id
string<uuid>
required

A UUID string identifying the workspace.

Body

brand
string
required
category
string
required
competitors
string[]
required
Required array length: 3 elements
countries
enum<string>[]
Maximum array length: 10
  • AE - AE
  • AR - AR
  • AT - AT
  • AU - AU
  • BE - BE
  • BH - BH
  • BR - BR
  • CA - CA
  • CH - CH
  • CL - CL
  • CN - CN
  • CO - CO
  • CZ - CZ
  • DE - DE
  • DK - DK
  • EC - EC
  • EG - EG
  • ES - ES
  • FI - FI
  • FR - FR
  • GB - GB
  • GQ - GQ
  • GR - GR
  • HK - HK
  • HU - HU
  • IE - IE
  • ID - ID
  • IL - IL
  • IN - IN
  • IQ - IQ
  • IT - IT
  • JP - JP
  • KR - KR
  • KW - KW
  • LU - LU
  • MX - MX
  • MY - MY
  • NG - NG
  • NL - NL
  • NO - NO
  • NZ - NZ
  • PE - PE
  • PH - PH
  • PK - PK
  • PL - PL
  • PT - PT
  • QA - QA
  • RO - RO
  • RU - RU
  • SA - SA
  • SE - SE
  • SG - SG
  • TH - TH
  • TR - TR
  • TW - TW
  • VN - VN
  • US - US
  • ZA - ZA
  • EU - EU
  • NA - NA
  • WW - WW
Available options:
AE,
AR,
AT,
AU,
BE,
BH,
BR,
CA,
CH,
CL,
CN,
CO,
CZ,
DE,
DK,
EC,
EG,
ES,
FI,
FR,
GB,
GQ,
GR,
HK,
HU,
IE,
ID,
IL,
IN,
IQ,
IT,
JP,
KR,
KW,
LU,
MX,
MY,
NG,
NL,
NO,
NZ,
PE,
PH,
PK,
PL,
PT,
QA,
RO,
RU,
SA,
SE,
SG,
TH,
TR,
TW,
VN,
US,
ZA,
EU,
NA,
WW
llm_providers
enum<string>[]
Required array length: 1 - 15 elements
  • OpenAI - OpenAI
  • Google AI - Google AI
  • Google AI Mode - Google AI Mode
  • Meta AI - Meta AI
  • Anthropic - Anthropic
  • DeepSeek - DeepSeek
  • Mistral - Mistral
  • Perplexity - Perplexity
  • Amazon - Amazon
Available options:
OpenAI,
Google AI,
Google AI Mode,
Meta AI,
Anthropic,
DeepSeek,
Mistral,
Perplexity,
Amazon
name
string
personas
string[]
Maximum array length: 8
attributes
string[]
Maximum array length: 8
collect_end_date
string<date>
language
enum<string>
default:en
  • ar - ar
  • da - da
  • de - de
  • en - en
  • es - es
  • eu - eu
  • fi - fi
  • fil - fil
  • fr - fr
  • he - he
  • hi - hi
  • hu - hu
  • id - id
  • it - it
  • ja - ja
  • ko - ko
  • nl - nl
  • pl - pl
  • pt - pt
  • ro - ro
  • sv - sv
  • th - th
  • tr - tr
  • ur - ur
  • vi - vi
  • zh - zh
  • zh-TW - zh TW
Available options:
ar,
da,
de,
en,
es,
eu,
fi,
fil,
fr,
he,
hi,
hu,
id,
it,
ja,
ko,
nl,
pl,
pt,
ro,
sv,
th,
tr,
ur,
vi,
zh,
zh-TW
is_boost
boolean
default:false

Response

201 - application/json
id
string<uuid>
required
read-only
created_at
string<date-time>
required
read-only
updated_at
string<date-time>
required
read-only
created_by
string<uuid>
required
workspace_id
string<uuid>
required
name
string
required
Maximum string length: 255
brand
string
required
Maximum string length: 255
category
string
required
Maximum string length: 255
countries
string[]
Maximum string length: 255
competitors
string[]
Maximum string length: 255
personas
string[]
Maximum string length: 255
attributes
string[]
Maximum string length: 255
is_archived
boolean
archived_at
string<date-time> | null
active_clustering
boolean
collect_end_date
string<date> | null
llm_providers
string[]
Maximum string length: 255
llm_provider_versions
any
language
enum<string>
  • ar - ar
  • da - da
  • de - de
  • en - en
  • es - es
  • eu - eu
  • fi - fi
  • fil - fil
  • fr - fr
  • he - he
  • hi - hi
  • hu - hu
  • id - id
  • it - it
  • ja - ja
  • ko - ko
  • nl - nl
  • pl - pl
  • pt - pt
  • ro - ro
  • sv - sv
  • th - th
  • tr - tr
  • ur - ur
  • vi - vi
  • zh - zh
  • zh-TW - zh TW
Available options:
ar,
da,
de,
en,
es,
eu,
fi,
fil,
fr,
he,
hi,
hu,
id,
it,
ja,
ko,
nl,
pl,
pt,
ro,
sv,
th,
tr,
ur,
vi,
zh,
zh-TW,
is_boost
boolean